package com.ssm.manage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;
import java.io.Serializable;

/**
 * 新登录（门店角色表）(SysStoreRole)实体类
 *
 * @author makejava
 * @since 2022-06-25 10:17:03
 */
@Table(name = "sys_store_role")
public class SysStoreRole implements Serializable {
    private static final long serialVersionUID = 500623011246756799L;
    /**
     * 角色编码
     */
    @Column(name = "role_num")
    private String roleNum;
    /**
     * 角色名称
     */
    @Column(name = "role_name")
    private String roleName;
    /**
     * 状态 1：正常；0：停用
     */
    @Column(name = "state")
    private Integer state;
    /**
     * 建立人（用户名称（用户编码））
     */
    @Column(name = "founder")
    private String founder;
    /**
     * 建立时间
     */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "founder_datetime")
    private Date founderDatetime;
    /**
     * 最近修改人（用户名称（用户编码））
     */
    @Column(name = "modify_by")
    private String modifyBy;
    /**
     * 最近修改时间
     */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "modify_datetime")
    private Date modifyDatetime;
    /**
     * 门店id
     */
    @Column(name = "store_id")
    private Long storeId;
    /**
     * 门店编码
     */
    @Column(name = "store_num")
    private String storeNum;
    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;
    /**
     * 角色id
     */
    @Id
    private Long id;


    public String getRoleNum() {
        return roleNum;
    }

    public void setRoleNum(String roleNum) {
        this.roleNum = roleNum;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getFounder() {
        return founder;
    }

    public void setFounder(String founder) {
        this.founder = founder;
    }

    public Date getFounderDatetime() {
        return founderDatetime;
    }

    public void setFounderDatetime(Date founderDatetime) {
        this.founderDatetime = founderDatetime;
    }

    public String getModifyBy() {
        return modifyBy;
    }

    public void setModifyBy(String modifyBy) {
        this.modifyBy = modifyBy;
    }

    public Date getModifyDatetime() {
        return modifyDatetime;
    }

    public void setModifyDatetime(Date modifyDatetime) {
        this.modifyDatetime = modifyDatetime;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getStoreNum() {
        return storeNum;
    }

    public void setStoreNum(String storeNum) {
        this.storeNum = storeNum;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

}

